import React from "react"
import Field from "../forms/field"

const SignupEmail = ({ controller }) => {
  console.log("phone", controller.values.phone)
  return (
    <form
      onSubmit={e => {
        e.preventDefault()
        controller.handleSubmit()
      }}
      className="mt-3 mb-6"
    >
      {/* disabled:opacity-75 ... */}
      <div className={`w-full opacity-25 cursor-not-allowed mb-4`}>
        <p className="font-medium text-sm mb-2">Phone</p>
        <input
          type={"text"}
          name={"phone"}
          defaultValue={controller.values.phone}
          disabled={true}
          className={"rounded-md px-4 py-2 text-xs w-full border-transparent"}
        />
      </div>
      <Field
        label="First name"
        className="mb-4"
        autocomplete="given-name"
        name={"first_name"}
        formik={controller}
        defaultValue={controller.values.first_name}
      />
      <Field
        label="Last name"
        className="mb-4"
        autocomplete="family-name"
        name={"last_name"}
        formik={controller}
        defaultValue={controller.values.last_name}
      />
      <Field
        label="Email"
        autocomplete="email"
        className="mb-4"
        name={"email"}
        formik={controller}
        defaultValue={controller.values.email}
      />
      <Field
        label="Password"
        type="password"
        autocomplete="new-password"
        name={"password"}
        formik={controller}
        defaultValue={controller.values.password}
      />
      <button
        className=" mt-8 w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
        type="submit"
        onClick={controller.handleSubmit}
      >
        Sign up
      </button>
    </form>
  )
}

export default SignupEmail
