import { values } from "lodash"
import React, { useEffect, useState } from "react"
import { useAuth } from "../../hooks/use-auth"
import { classNames } from "../../utils/class-names"
import Field from "../forms/field"

let timer = null

const PhoneValidator = ({ controller }) => {
  const { send_sms } = useAuth()

  const [time, setTime] = useState(0)

  useEffect(() => {
    timer && clearInterval(timer)
    return () => timer && clearInterval(timer)
  }, [])
  useEffect(() => {
    if (time === 60) timer = setInterval(() => setTime(time => --time), 1000)
    else if (time === 0) clearInterval(timer)
  }, [time])

  const getCode = e => {
    var regex = /^((\+)?86|((\+)?86)?)0?1[3458]\d{9}$/
    if (controller.values.phone) {
      if (regex.test(controller.values.phone)) {
        send_sms(controller.values.phone)
          .then(() => {
            console.log("ok")
            setTime(60)
          })
          .catch(error => {
            console.log("bad")
          })
      } else {
      }
    }
  }
  return (
    <div className="mt-3 mb-6">
      <Field
        formik={controller}
        name={"phone"}
        defaultValue={controller.values.phone}
        label={"Phone"}
        // autocomplete="phone"
        className="mb-4"
      />
      <button
        disabled={time != 0}
        className={classNames(
          time ? "opacity-25 cursor-not-allowed" : "",
          `mb-4 w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500`
        )}
        onClick={getCode}
      >
        {time ? `${time}秒后获取` : "获取验证码"}
      </button>
      <Field
        formik={controller}
        name={"code"}
        defaultValue={controller.values.code}
        label={"Code"}
        className="mb-4"
        // autocomplete="code"
      />
      {/* <button
        className="w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
        type="submit"
      >
        Valid
      </button> */}
    </div>
  )
}

export default PhoneValidator
