import { graphql, useStaticQuery } from "gatsby"
import PropTypes from "prop-types"
import React from "react"
import "../styles/theme.css"
import Footer from "./footer"
import Header from "./header/index"

const Layout = ({ children }) => {
  const data = useStaticQuery(graphql`
    query SiteTitleQuery {
      nav: contentfulNavigationMenu(title: { eq: "Main" }) {
        items {
          id
          title
          link {
            linkTo
          }
        }
      }
    }
  `)

  return (
    <div>
      <Header navItems={data.nav.items} />
      <main>{children}</main>
      <Footer />
    </div>
  )
}

Layout.propTypes = {
  children: PropTypes.node.isRequired,
}

export default Layout
