import { useFormik } from "formik"
import Validator from "../utils/validator"
import { useAuth } from "./use-auth"
// import { useCart } from "./use-cart"
// import { useCustomer } from "./use-customer"

export const useValidPhoneForm = (setState, registerForm) => {
  const { valid_phone, forms } = useAuth()

  const validPhoneForm = useFormik({
    enableReinitialize: true,
    initialValues: {
      // email: cart?.email || customer?.email || "",
      phone: "",
      code: "",
    },
    validationSchema: Validator.phoneSchema,
    onSubmit: async (values, { setSubmitting, setStatus }) => {
      setSubmitting(true)

      valid_phone({ phone: values.phone, code: values.code })
        .then(resp => {
          registerForm.values.phone = values.phone
          setStatus({ success: "Phone  valided successfully." })
          setSubmitting(false)
          setState(1)
        })
        .catch(error => {
          setStatus({ error: "An error has occurred, please try again." })
          setSubmitting(false)
        })
    },
  })
  return validPhoneForm
}
